Data API request traffic, by endpoint
curl --request GET \
--url https://api.kameleoon.com/data-api-requests/by-endpoint \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.kameleoon.com/data-api-requests/by-endpoint"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.kameleoon.com/data-api-requests/by-endpoint', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"2026-07-20": {
"GET": {
"/data-api-requests/by-endpoint": {
"200": 42
}
}
}
}{
"code": "<string>",
"impersonator": "<string>",
"message": "<string>",
"name": "<string>",
"sub": "<string>",
"time": 123,
"timestamp": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"impersonator": "<string>",
"message": "<string>",
"name": "<string>",
"sub": "<string>",
"time": 123,
"timestamp": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"impersonator": "<string>",
"message": "<string>",
"name": "<string>",
"sub": "<string>",
"time": 123,
"timestamp": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"impersonator": "<string>",
"message": "<string>",
"name": "<string>",
"sub": "<string>",
"time": 123,
"timestamp": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"impersonator": "<string>",
"message": "<string>",
"name": "<string>",
"sub": "<string>",
"time": 123,
"timestamp": "2023-11-07T05:31:56Z"
}Data API Requests
Data API request traffic, by endpoint
Returns the number of requests sent to the data API for the given site, broken down by day, HTTP method, path, and status code. The date range cannot exceed 7 days.
GET
/
data-api-requests
/
by-endpoint
Data API request traffic, by endpoint
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
The Kameleoon sitecode.
The start date of the range, in ISO 8601 date format (YYYY-MM-DD). The start date is inclusive, and the range between from and to cannot exceed 7 days.
The end date of the range, in ISO 8601 date format (YYYY-MM-DD). The end date is inclusive, and the range between from and to cannot exceed 7 days.
Response
OK
The response groups request counts by date (YYYY-MM-DD), then HTTP method, then request path, then status code.
Show child attributes
Show child attributes
Was this page helpful?
⌘I